/*
 * The MIT License
 *
 *   Copyright (c) 2023, Mahmoud Ben Hassine (mahmoud.benhassine@icloud.com)
 *
 *   Permission is hereby granted, free of charge, to any person obtaining a copy
 *   of this software and associated documentation files (the "Software"), to deal
 *   in the Software without restriction, including without limitation the rights
 *   to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *   copies of the Software, and to permit persons to whom the Software is
 *   furnished to do so, subject to the following conditions:
 *
 *   The above copyright notice and this permission notice shall be included in
 *   all copies or substantial portions of the Software.
 *
 *   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 *   THE SOFTWARE.
 */
package org.jeasy.random.beans;

import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class TypeVariableCollectionBean<T, V> {

    private Collection<T> collection;
    private List<T> list;
    private Set<T> set;
    private Map<T, V> map;

	public TypeVariableCollectionBean() {
	}

	public Collection<T> getCollection() {
		return this.collection;
	}

	public List<T> getList() {
		return this.list;
	}

	public Set<T> getSet() {
		return this.set;
	}

	public Map<T, V> getMap() {
		return this.map;
	}

	public void setCollection(Collection<T> collection) {
		this.collection = collection;
	}

	public void setList(List<T> list) {
		this.list = list;
	}

	public void setSet(Set<T> set) {
		this.set = set;
	}

	public void setMap(Map<T, V> map) {
		this.map = map;
	}
}
